RESTinio

Public Types | Public Attributes | List of all members
restinio::http_field_parsers::accept_value_t::item_t Struct Reference

`#include <accept.hpp>`

## Public Types
using | accept_ext_t = parameter_with_optional_value_t
using | accept_ext_container_t = parameter_with_optional_value_container_t

## Public Attributes
media_type_value_t | media_type
restinio::optional_t< qvalue_t > | weight
accept_ext_container_t | accept_params

## Detailed Description

Definition at line 53 of file accept.hpp.

## Member Typedef Documentation

## ◆ accept_ext_container_t

using restinio::http_field_parsers::accept_value_t::item_t::accept_ext_container_t = parameter_with_optional_value_container_t

Definition at line 57 of file accept.hpp.

## ◆ accept_ext_t

using restinio::http_field_parsers::accept_value_t::item_t::accept_ext_t = parameter_with_optional_value_t

Definition at line 55 of file accept.hpp.

## Member Data Documentation

## ◆ accept_params

accept_ext_container_t restinio::http_field_parsers::accept_value_t::item_t::accept_params

Definition at line 61 of file accept.hpp.

## ◆ media_type

media_type_value_t restinio::http_field_parsers::accept_value_t::item_t::media_type

Definition at line 59 of file accept.hpp.

## ◆ weight

restinio::optional_t< qvalue_t > restinio::http_field_parsers::accept_value_t::item_t::weight

Definition at line 60 of file accept.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/accept.hpp